package com.usai.redant.raimage.PhotoList;

import android.content.Context;
import android.util.AttributeSet;
import android.util.Log;
import android.widget.GridView;


public class RAGridView extends GridView {

    public interface GridViewMeasure {
        void measuring(boolean m);
    }

    public GridViewMeasure measureWorker;

    public RAGridView(Context context) {
        this(context,null);
    }

    public RAGridView(Context ctx, AttributeSet attrs) {
        this(ctx,attrs,0);
    }

    public RAGridView(Context ctx, AttributeSet attrs, int defStyleAttr) {
        super(ctx,attrs,defStyleAttr);
    }

    @Override
    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
        if (measureWorker != null) {
            measureWorker.measuring(true);
        }
        Log.d("Decode", "onMeasure: ------------------------------");
        super.onMeasure(widthMeasureSpec, heightMeasureSpec);
        Log.d("Decode", "onMeasure: ------------------------------");
    }
}
